﻿using System;
using System.Moles;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using NUnit.Framework;
using Microsoft.Moles.Framework;
using Microsoft.Moles.Framework.NUnit;

[assembly: MoledType(typeof(System.DateTime))]
namespace TestingMolesNunit {
    [TestFixture]
    public class TestingMolesNunit {
        [Test]
        public void DateTest() {
            var testDate =  new DateTime(2010, 12, 12);
            Assert.AreNotEqual(DateTime.Now, testDate);
        }

        [Test]
        [Moled]
        public void DateTestWithMoles() {
            using (MolesContext.Create()) {
                var testDate = new DateTime(2010, 12, 12);
                MDateTime.NowGet = () => new DateTime(2010, 12, 12);
                Assert.AreEqual(DateTime.Now, testDate);
            }
        }
    }
}
